Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetAllData

Get all quadrature nodes from this space, and the matrix that sends quadrature node values to degree-of-freedom values

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetAllData(PetscDualSpace sp, PetscQuadrature *allNodes, Mat *allMat)

## Input Parameter

- sp - The dualspace

## Output Parameters

- allNodes - A `PetscQuadrature` object containing all evaluation nodes

- allMat - A `Mat` for the node-to-dof transformation

## See Also

`PetscQuadrature`, `PetscDualSpace`, `PetscDualSpaceCreate()`, `Mat`

## Level

advanced

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages